Package org.apache.maven.scm.util

## Class FilenameUtils

- java.lang.Object
- - org.apache.maven.scm.util.FilenameUtils

    public final class FilenameUtils
    extends java.lang.Object

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String` `normalizeFilename​(java.io.File file)`
`static java.lang.String` `normalizeFilename​(java.lang.String filename)` Replace duplicated [back]slash to slash.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### normalizeFilename

    public static java.lang.String normalizeFilename​(java.io.File file)

#### normalizeFilename

    public static java.lang.String normalizeFilename​(java.lang.String filename)

Replace duplicated [back]slash to slash.

Parameters:
  `filename` -
Returns: